import React from "react";
import { BaseSizes } from "../../../../constants";
import { ColorStyle, CONTENT_COLORS_VALUES } from "../../../../utils/colors-vars-map";
import { ColorShapes, ColorPickerValue, ColorPickerArrayValueOnly } from "../../ColorPickerConstants";
import { VibeComponentProps, VibeComponent, SubIcon } from "../../../../types";
export interface ColorPickerContentProps extends VibeComponentProps {
    value: ColorPickerValue;
    onValueChange: (value: ColorPickerArrayValueOnly) => void;
    colorsList: ColorPickerArrayValueOnly;
    ColorIndicatorIcon?: SubIcon;
    SelectedIndicatorIcon?: SubIcon;
    NoColorIcon?: SubIcon;
    colorStyle?: ColorStyle;
    colorSize?: BaseSizes;
    colorShape?: ColorShapes;
    tooltipContentByColor?: Partial<Record<CONTENT_COLORS_VALUES, string>>;
    noColorText?: string;
    shouldRenderIndicatorWithoutBackground?: boolean;
    isBlackListMode?: boolean;
    numberOfColorsInLine?: number;
    focusOnMount?: boolean;
    isMultiselect?: boolean;
    /**
     * Used to force the component render the colorList prop as is. Usually, this flag should not be used. It's intended only for edge cases.
     * Usually, only "monday colors" will be rendered (unless blacklist mode is used). This flag will override this behavior.
     */
    forceUseRawColorList?: boolean;
    /**
     * Used to enable color name tooltip on each color in the component. it's incompatible with forceUseRawColorList flag.
     * When "tooltipContentByColor" is supplied, it will override the color name tooltip.
     */
    showColorNameTooltip?: boolean;
}
declare const _default: ((VibeComponent<ColorPickerContentProps & React.RefAttributes<HTMLDivElement>, HTMLDivElement> & Partial<{
    COLOR_STYLES: typeof ColorStyle;
    sizes: typeof BaseSizes;
    colorStyles: typeof ColorStyle;
    colorSizes: typeof BaseSizes;
    colorShapes: typeof ColorShapes;
}>) | (React.FC<ColorPickerContentProps & React.RefAttributes<HTMLDivElement>> & Partial<{
    COLOR_STYLES: typeof ColorStyle;
    sizes: typeof BaseSizes;
    colorStyles: typeof ColorStyle;
    colorSizes: typeof BaseSizes;
    colorShapes: typeof ColorShapes;
}>)) & {
    COLOR_STYLES: typeof ColorStyle;
    sizes: typeof BaseSizes;
    colorStyles: typeof ColorStyle;
    colorSizes: typeof BaseSizes;
    colorShapes: typeof ColorShapes;
};
export default _default;
