import React from "react";
import VibeComponentProps from "../../types/VibeComponentProps";
import { DialogPosition } from "../../constants";
export interface TextWithHighlightProps extends VibeComponentProps {
    /** Text to wrap */
    text?: string;
    highlightTerm?: string;
    /** Number of highlighted parts */
    limit?: number;
    ignoreCase?: boolean;
    /** Should use ellipsis */
    useEllipsis?: boolean;
    /** Allow highlight every word as a separate term */
    allowTermSplit?: boolean;
    linesToClamp?: number;
    /** Tooltip to show when there is no overflow */
    nonEllipsisTooltip?: string;
    /** HTML tag to wrap the selected text */
    wrappingTextTag?: keyof JSX.IntrinsicElements;
    wrappingElementClassName?: string;
    tooltipPosition?: DialogPosition;
}
declare const TextWithHighlight: React.FC<TextWithHighlightProps>;
export default TextWithHighlight;
