import { LabelColor } from "../../../Label/LabelConstants";
export declare const doAndDontIconsRuleColumns: ({
    id: string;
    title: string;
    icon: import("react").FC<import("../../../Icon/Icons/components/Calendar").CalendarProps>;
    width: number;
} | {
    id: string;
    title: string;
    icon: import("react").FC<import("../../../Icon/Icons/components/Doc").DocProps>;
    width?: undefined;
})[];
export declare const doAndDontIconsRuleData: {
    id: string;
    sentOn: string;
    subject: string;
    sentBy: string;
    status: string;
}[];
export declare const doAndDontBordersRuleColumns: ({
    id: string;
    title: string;
    width: number;
    loadingStateType: string;
} | {
    id: string;
    title: string;
    loadingStateType: string;
    width?: undefined;
})[];
export declare const doAndDontBordersRuleData: {
    id: string;
    sentOn: string;
    subject: string;
    emailsSent: number;
}[];
export declare const emailTableData: {
    id: string;
    sentOn: string;
    sentBy: string;
    subject: string;
    status: string;
    emailsSent: number;
}[];
export declare const emailColumns: ({
    id: string;
    title: string;
    width: number;
    loadingStateType: string;
    infoContent?: undefined;
} | {
    id: string;
    title: string;
    loadingStateType: string;
    width?: undefined;
    infoContent?: undefined;
} | {
    id: string;
    title: string;
    width: {
        min: number;
        max: number;
    };
    infoContent: string;
    loadingStateType: string;
} | {
    id: string;
    title: string;
    width: number;
    infoContent: string;
    loadingStateType: string;
})[];
export declare const scrollTableData: {
    id: string;
    sentOn: string;
    sentBy: string;
    subject: string;
    status: string;
    priority: string;
    emailsSent: number;
}[];
export declare const highlightableRowColumns: ({
    id: string;
    title: string;
    width: number;
    loadingStateType: string;
    infoContent?: undefined;
} | {
    id: string;
    title: string;
    loadingStateType: string;
    width?: undefined;
    infoContent?: undefined;
} | {
    id: string;
    title: string;
    width: number;
    infoContent: string;
    loadingStateType: string;
})[];
export declare const highlightableTableData: {
    id: string;
    sentOn: string;
    subject: string;
    emailsSent: number;
}[];
export declare const priorityColumnToLabelColor: {
    Urgent: LabelColor;
    High: LabelColor;
    Normal: LabelColor;
    Low: LabelColor;
};
export declare const statusColumnToLabelColor: {
    Sent: LabelColor;
    Queued: LabelColor;
    Failed: LabelColor;
    "In progress": LabelColor;
};
export declare const scrollTableColumns: ({
    id: string;
    title: string;
    width: number;
    infoContent?: undefined;
} | {
    id: string;
    title: string;
    width: {
        min: number;
        max: number;
    };
    infoContent?: undefined;
} | {
    id: string;
    title: string;
    width: number;
    infoContent: string;
})[];
export declare const virtualizedScrollTableData: {
    id: number;
    num: number;
    text: string;
}[];
export declare const virtualizedScrollTableColumns: ({
    id: string;
    title: string;
    width: number;
} | {
    id: string;
    title: string;
    width?: undefined;
})[];
export declare function sort(columnId: string, sortState: "asc" | "desc" | "none", tableData: []): {
    id: string;
    sentOn: string;
    sentBy: string;
    subject: string;
    status: string;
    emailsSent: number;
}[];
export declare const TableEmptyState: () => import("react/jsx-runtime").JSX.Element;
export declare const TableErrorState: () => import("react/jsx-runtime").JSX.Element;
export declare const TableAvatar: ({ text }: {
    text: string;
}) => import("react/jsx-runtime").JSX.Element;
