import React, { AriaRole } from "react";
import VibeComponentProps from "../../types/VibeComponentProps";
import VibeComponent from "../../types/VibeComponent";
export interface ClickableProps extends VibeComponentProps {
    /**
     * The type of the clickable element wrapper (for example div or span)
     */
    elementType?: keyof JSX.IntrinsicElements | string;
    className?: string;
    id?: string;
    children?: React.ReactNode;
    role?: AriaRole;
    onClick?: (event: React.MouseEvent | React.KeyboardEvent) => void;
    enableTextSelection?: boolean;
    onMouseDown?: (event: React.MouseEvent) => void;
    onMouseEnter?: (event: React.MouseEvent) => void;
    onMouseLeave?: (event: React.MouseEvent) => void;
    ariaLabel?: string;
    /**
     * Is the element and its content should be hidden from screen readers and other assistive technologies
     */
    ariaHidden?: boolean;
    ariaHasPopup?: boolean | string;
    ariaExpanded?: boolean;
    tabIndex?: string | number;
    disabled?: boolean;
    style?: React.CSSProperties;
    /**
     * @deprecated - use "data-testid" instead
     */
    dataTestId?: string;
    "data-testid"?: string;
}
declare const Clickable: VibeComponent<ClickableProps, HTMLElement>;
export default Clickable;
