import React from "react";
import VibeComponent from "../../types/VibeComponent";
import { VibeComponentProps } from "../../types";
import { InputType } from "./EditableInputConstants";
export interface EditableInputProps extends VibeComponentProps {
    value?: string;
    placeholder?: string;
    inputType?: InputType;
    autoSize?: boolean;
    autoComplete?: boolean;
    disabled?: boolean;
    maxLength?: number;
    shouldFocusOnMount?: boolean;
    textareaSubmitOnEnter?: boolean;
    ariaLabel?: string;
    customColor?: string;
    tabIndex?: number;
    isValidValue?: (value: string) => boolean;
    onFinishEditing?: (value: string, event: React.KeyboardEvent | React.FocusEvent) => void;
    onArrowKeyDown?: (value: string, event: React.KeyboardEvent) => void;
    onClick?: (event: React.MouseEvent<HTMLInputElement | HTMLTextAreaElement>) => void;
    onKeyPress?: () => void;
    selectOnMount?: () => void;
    ignoreBlurClass?: string;
    onIgnoreBlurEvent?: (value: string) => void;
    onFocus?: (event: React.FocusEvent) => void;
    onBlur?: (event: React.FocusEvent) => void;
    onCancelEditing?: (event: React.KeyboardEvent) => void;
    onChange?: (value: string) => void;
    onError?: () => void;
    onSuccess?: () => void;
    onKeyDown?: (event: React.KeyboardEvent, value: string) => void;
    onTabHandler?: (value: string, event: React.KeyboardEvent) => void;
}
declare const _default: ((VibeComponent<EditableInputProps & React.RefAttributes<HTMLElement>, HTMLElement> & Partial<{
    inputTypes: typeof InputType;
}>) | (React.FC<EditableInputProps & React.RefAttributes<HTMLElement>> & Partial<{
    inputTypes: typeof InputType;
}>)) & {
    inputTypes: typeof InputType;
};
export default _default;
