import { ReactElement } from "react";
import { AnimationType, DialogPosition, HideShowEvent, JustifyType } from "../../constants";
import { TipseenCloseButtonTheme, TipseenColor } from "./TipseenConstants";
import { ElementContent, VibeComponent, VibeComponentProps } from "../../types";
import { MoveBy } from "../../types/MoveBy";
import { Modifier } from "react-popper";
import React from "react";
export interface TipseenProps extends VibeComponentProps {
    /**
     * Classname for overriding TipseenTitle styles
     */
    titleClassName?: string;
    position?: DialogPosition;
    animationType?: AnimationType;
    hideDelay?: number;
    showDelay?: number;
    title?: string;
    /**
     * @deprecated - use hideCloseButton instead
     */
    isCloseButtonHidden?: boolean;
    hideCloseButton?: boolean;
    children?: ReactElement;
    containerSelector?: string;
    hideTrigger?: HideShowEvent | Array<HideShowEvent>;
    showTrigger?: HideShowEvent | Array<HideShowEvent>;
    justify?: JustifyType;
    width?: number;
    moveBy?: MoveBy;
    hideWhenReferenceHidden?: boolean;
    /**
     * when false, the arrow of the tooltip is hidden
     */
    tip?: boolean;
    /** Class name for a tooltip's arrow */
    tooltipArrowClassName?: string;
    /**
     * PopperJS Modifiers type
     * https://popper.js.org/docs/v2/modifiers/
     */
    modifiers?: Array<Modifier<unknown>>;
    closeAriaLabel?: string;
    onClose?: () => void;
    content?: ElementContent;
    /**
     * Control the color of the Tipseen close button. Dark theme can be usfull while presenting bright images under the tipseen image
     */
    closeButtonTheme?: TipseenCloseButtonTheme;
    floating?: boolean;
    /** The color of the Tipseen */
    color?: TipseenColor;
}
export declare const TipseenContext: React.Context<TipseenColor>;
declare const _default: ((VibeComponent<TipseenProps & React.RefAttributes<HTMLElement>, HTMLElement> & Partial<{
    closeButtonThemes: typeof TipseenCloseButtonTheme;
    positions: typeof DialogPosition;
    animationTypes: typeof AnimationType;
    justifyTypes: typeof JustifyType;
    hideShowTriggers: typeof HideShowEvent;
    colors: typeof TipseenColor;
}>) | (React.FC<TipseenProps & React.RefAttributes<HTMLElement>> & Partial<{
    closeButtonThemes: typeof TipseenCloseButtonTheme;
    positions: typeof DialogPosition;
    animationTypes: typeof AnimationType;
    justifyTypes: typeof JustifyType;
    hideShowTriggers: typeof HideShowEvent;
    colors: typeof TipseenColor;
}>)) & {
    closeButtonThemes: typeof TipseenCloseButtonTheme;
    positions: typeof DialogPosition;
    animationTypes: typeof AnimationType;
    justifyTypes: typeof JustifyType;
    hideShowTriggers: typeof HideShowEvent;
    colors: typeof TipseenColor;
};
export default _default;
